#### D.5.12.25 salida

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  salida(idchart,chart,mobile,numson,previousa,n,q,p);
  idchart, numson, n, q, p integers, chart, mobile, lists, previousa intvec

Compute:
  CONVERT THE OUTPUT OF A CHART IN A RING, WHERE DEFINE A BASIC OBJECT (BO)

Return:
  the ring corresponding to the chart

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1..2)),dp;
    ideal J=x(1)^2-x(2)^3;
    list L=Eresol(J);
    list B=salida(5,L[1][5],L[8][6],2,L[1][3][3],2,1,0); // chart 5
    def RR=B[1];
    setring RR;
    BO;
    ==> [1]:
    ==>    _[1]=0
    ==> [2]:
    ==>    _[1]=x(1)-x(2)
    ==> [3]:
    ==>    1,0
    ==> [4]:
    ==>    [1]:
    ==>       _[1]=x(2)
    ==>    [2]:
    ==>       _[1]=x(1)
    ==> [5]:
    ==>    _[1]=x(1)^2*x(2)
    ==>    _[2]=x(1)*x(2)
    ==> [6]:
    ==>    0,0
    ==> [7]:
    ==>    2,-1
    ==> [8]:
    ==>    _[1,1]=0
    ==>    _[1,2]=1
    ==>    _[2,1]=0
    ==>    _[2,2]=0
    ==> [9]:
    ==>    0,0
    "press return to see next example"; ~;
    ==> press return to see next example
    ==>
    ==> -- break point in ./examples/salida.sing --

User manual for Singular version 4.4.1, 2025, generated by texi2html.